
#include "U2_uds_includes.h"
#ifndef U2_SERPROC_DIAGNO_H_
#define U2_SERPROC_DIAGNO_H_

extern void U2_App_ErrorInfoInit(_U2_N_USData *AppUSData);
extern void U2_App_Load_DID(uint16_t *DID, uint8_t *data);
extern void U2_App_CopyRam(uint8_t *Dp, uint8_t *Sp, uint16_t Nub);
extern uint8_t U2_App_CreateCRCCheckSum(uint8_t *p, uint8_t Nub);
extern void U2_App_11_Reset_handle(void);

void U2_Diagno_Tick(uint16_t DiagnoTimeCn);

#endif /* SERPROC_DIAGNO_H_ */
